Bug 875735 - Review Request: fedora-jam-kde-theme - Fedora Jam KDE theme
Review Request: fedora-jam-kde-theme - Fedora Jam KDE theme
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Jørn Lomax
Fedora Extras Quality Assurance
:
Depends On:
Blocks: FedoraAudio
  Show dependency treegraph
 
Reported: 2012-11-12 08:57 EST by Brendan Jones
Modified: 2012-11-26 23:49 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-11-26 23:49:35 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
northlomax: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Brendan Jones 2012-11-12 08:57:09 EST
This is a KDE theme based on the spherical-cow-kde-theme paclage. It only modifies the metadata to select the fedora-jam-backgrounds and Caldonia plasma desktop theme.

SPEC: http://bsjones.fedorapeople.org/fedora-jam-kde-theme.spec
SRPM: http://bsjones.fedorapeople.org/fedora-jam-kde-theme-1.0.0-1.fc18.src.rpm
Comment 1 Jørn Lomax 2012-11-14 06:26:55 EST
There is a version issue in the changelog. The version in the spec is 1.0.0, in the changelog it's 0.0.1
Comment 2 Brendan Jones 2012-11-14 08:39:08 EST
Thanks - rpmlint output is clean (except for dangling symlink warnings which are OK).


SPEC: http://bsjones.fedorapeople.org/reviews/fedora-jam-kde-theme.spec
SRPM: http://bsjones.fedorapeople.org/reviews/fedora-jam-kde-theme-1.0.1-1.fc18.src.rpm
Comment 3 Jørn Lomax 2012-11-19 06:15:56 EST
I apologize for the epic delay, but here is the full review:
Package Review
==============

Key:
[x] = Pass
[!] = Fail
[-] = Not applicable
[?] = Not evaluated
[ ] = Manual review needed


Issues:
=======
[!]: Package installs properly.
     Note: Installation errors (see attachment)
See: https://fedoraproject.org/wiki/Packaging:Guidelines
[!]: Package installs a %{name}.desktop using desktop-file-install if there is
     such a file.
See: http://fedoraproject.org/wiki/Packaging/Guidelines#desktop


===== MUST items =====

Generic:
[ ]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[ ]: %build honors applicable compiler flags or justifies otherwise.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[ ]: Package contains no bundled libraries.
[ ]: Changelog in prescribed format.
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[ ]: Sources contain only permissible code or content.
[x]: Each %files section contains %defattr if rpm < 4.4
[ ]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package contains desktop file if it is a GUI application.
[!]: Package installs a %{name}.desktop using desktop-file-install if there is
     such a file.
[ ]: Development files must be in a -devel package
[ ]: Package requires other packages for directories it uses.
[ ]: Package uses nothing in %doc for runtime.
[ ]: Package is not known to require ExcludeArch.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[ ]: Package complies to the Packaging Guidelines
[x]: Spec file lacks Packager, Vendor, PreReq tags.
[x]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
[ ]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses found:
     "Unknown or generated". 1 files have unknown license. Detailed output of
     licensecheck in /home/makerpm/rpmbuild/REVIEW/875735-fedora-jam-kde-
     theme/licensecheck.txt
[ ]: Package consistently uses macro is (instead of hard-coded directory
     names).
[ ]: If the package is under multiple licenses, the licensing breakdown must
     be documented in the spec.
[x]: Package is named using only allowed ASCII characters.
[ ]: Package is named according to the Package Naming Guidelines.
[ ]: Package does not generate any conflict.
     Note: Package contains no Conflicts: tag(s)
[x]: Package do not use a name that already exist
[ ]: Package obeys FHS, except libexecdir and /usr/target.
[ ]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[ ]: Package must own all directories that it creates.
[ ]: Package does not own files or directories owned by other packages.
[!]: Package installs properly.
     Note: Installation errors (see attachment)
[ ]: Package is not relocatable.
[ ]: Requires correct, justified where necessary.
[x]: CheckResultdir
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[ ]: Spec file is legible and written in American English.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[ ]: Package contains systemd file(s) if in need.
[x]: File names are valid UTF-8.
[ ]: Large documentation must go in a -doc subpackage.
     Note: Documentation size is 51200 bytes in 3 files.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[ ]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[x]: Dist tag is present.
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[ ]: Final provides and requires are sane (rpm -q --provides and rpm -q
     --requires).
[ ]: Package functions as described.
[ ]: Latest version is packaged.
[ ]: Package does not include license text files separate from upstream.
[x]: The placement of pkgconfig(.pc) files are correct.
[x]: SourceX tarball generation or download is documented.
[x]: SourceX / PatchY prefixed with %{name}.
[x]: SourceX is a working URL.
[ ]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[ ]: %check is present and all tests pass.
[ ]: Packages should try to preserve timestamps of original installed files.
[x]: Spec use %global instead of %define.

===== EXTRA items =====

Generic:
[!]: Rpmlint is run on all installed packages.
     Note: Mock build failed
[x]: Spec file according to URL is the same as in SRPM.
[x]: Large data in /usr/share should live in a noarch subpackage if package is
     arched.


Installation errors
-------------------
INFO: mock.py version 1.1.28 starting...
Start: init plugins
INFO: selinux enabled
Finish: init plugins
Start: runMock Version: 1.1.28
INFO: Mock Version: 1.1.28
Start: lock buildroot
INFO: installing package(s): /home/makerpm/rpmbuild/REVIEW/875735-fedora-jam-kde-theme/results/fedora-jam-kde-theme-1.0.1-1.fc19.noarch.rpm
ERROR: Command failed: 
 # ['/usr/bin/yum', '--installroot', '/var/lib/mock/fedora-rawhide-x86_64/root/', 'install', '/home/makerpm/rpmbuild/REVIEW/875735-fedora-jam-kde-theme/results/fedora-jam-kde-theme-1.0.1-1.fc19.noarch.rpm', '--setopt=tsflags=nocontexts']
Error: Package: fedora-jam-kde-theme-1.0.1-1.fc19.noarch (/fedora-jam-kde-theme-1.0.1-1.fc19.noarch)
           Requires: kfaenza-icon-theme
 You could try using --skip-broken to work around the problem
 You could try running: rpm -Va --nofiles --nodigest



Rpmlint
-------
Checking: fedora-jam-kde-theme-1.0.1-1.fc19.src.rpm
          fedora-jam-kde-theme-1.0.1-1.fc19.noarch.rpm
fedora-jam-kde-theme.noarch: W: dangling-symlink /usr/share/kde4/apps/ksplash/Themes/FedoraJam/2048x1536/leaf-big-2.png /usr/share/kde4/apps/ksplash/Themes/SphericalCow/2048x1536/leaf-big-2.png
fedora-jam-kde-theme.noarch: W: dangling-relative-symlink /usr/share/kde4/apps/desktoptheme/Fedora_Jam-netbook/icons ../Caledonia/icons
fedora-jam-kde-theme.noarch: W: dangling-symlink /usr/share/kde4/apps/ksplash/Themes/FedoraJam/2048x1536/leaf-small-1.png /usr/share/kde4/apps/ksplash/Themes/SphericalCow/2048x1536/leaf-small-1.png
fedora-jam-kde-theme.noarch: W: dangling-relative-symlink /usr/share/kde4/apps/desktoptheme/Fedora_Jam/lancelot ../Caledonia/lancelot
fedora-jam-kde-theme.noarch: W: dangling-symlink /usr/share/kde4/apps/ksplash/Themes/FedoraJam/2048x1536/icon3_anim.png /usr/share/kde4/apps/ksplash/Themes/SphericalCow/2048x1536/icon3_anim.png
fedora-jam-kde-theme.noarch: W: dangling-symlink /usr/share/kde4/apps/ksplash/Themes/FedoraJam/2048x1536/icon2.png /usr/share/kde4/apps/ksplash/Themes/SphericalCow/2048x1536/icon2.png
fedora-jam-kde-theme.noarch: W: dangling-relative-symlink /usr/share/kde4/apps/desktoptheme/Fedora_Jam/opaque ../Caledonia/opaque
fedora-jam-kde-theme.noarch: W: dangling-relative-symlink /usr/share/kde4/apps/desktoptheme/Fedora_Jam-netbook/dialogs ../Caledonia/dialogs
fedora-jam-kde-theme.noarch: W: dangling-relative-symlink /usr/share/kde4/apps/desktoptheme/Fedora_Jam/wallpapers ../Caledonia/wallpapers
fedora-jam-kde-theme.noarch: W: dangling-relative-symlink /usr/share/kde4/apps/desktoptheme/Fedora_Jam-netbook/wallpapers ../Caledonia/wallpapers
fedora-jam-kde-theme.noarch: W: dangling-symlink /usr/share/kde4/apps/ksplash/Themes/FedoraJam/2048x1536/spherical-cow.png /usr/share/kde4/apps/ksplash/Themes/SphericalCow/2048x1536/spherical-cow.png
fedora-jam-kde-theme.noarch: W: dangling-relative-symlink /usr/share/kde4/apps/desktoptheme/Fedora_Jam/stylesheets ../Caledonia/stylesheets
fedora-jam-kde-theme.noarch: W: dangling-relative-symlink /usr/share/kde4/apps/desktoptheme/Fedora_Jam-netbook/opaque ../Caledonia/opaque
fedora-jam-kde-theme.noarch: W: dangling-symlink /usr/share/kde4/apps/ksplash/Themes/FedoraJam/2048x1536/icon1.png /usr/share/kde4/apps/ksplash/Themes/SphericalCow/2048x1536/icon1.png
fedora-jam-kde-theme.noarch: W: dangling-relative-symlink /usr/share/kde4/apps/desktoptheme/Fedora_Jam-netbook/widgets ../Caledonia/widgets
fedora-jam-kde-theme.noarch: W: dangling-symlink /usr/share/kde4/apps/ksplash/Themes/FedoraJam/2048x1536/icon5.png /usr/share/kde4/apps/ksplash/Themes/SphericalCow/2048x1536/icon5.png
fedora-jam-kde-theme.noarch: W: dangling-relative-symlink /usr/share/kde4/apps/kdm/themes/FedoraJam/*.png ../SphericalCow/*.png
fedora-jam-kde-theme.noarch: W: dangling-relative-symlink /usr/share/kde4/apps/desktoptheme/Fedora_Jam/colors ../Caledonia/colors
fedora-jam-kde-theme.noarch: W: dangling-relative-symlink /usr/share/kde4/apps/desktoptheme/Fedora_Jam/icons ../Caledonia/icons
fedora-jam-kde-theme.noarch: W: dangling-relative-symlink /usr/share/kde4/apps/desktoptheme/Fedora_Jam-netbook/lancelot ../Caledonia/lancelot
fedora-jam-kde-theme.noarch: W: dangling-relative-symlink /usr/share/kde4/apps/ksplash/Themes/FedoraJam/1280x1024/Fedora_Jam.png ../../../../../../backgrounds/fedora-jam/default/normalish/fedora-jam.png
fedora-jam-kde-theme.noarch: W: dangling-symlink /usr/share/kde4/apps/ksplash/Themes/FedoraJam/2048x1536/icon4.png /usr/share/kde4/apps/ksplash/Themes/SphericalCow/2048x1536/icon4.png
fedora-jam-kde-theme.noarch: W: dangling-relative-symlink /usr/share/kde4/apps/ksplash/Themes/FedoraJam/2048x1536/fedora-jam.png ../../../../../../backgrounds/fedora-jam/default/standard/fedora-jam.png
fedora-jam-kde-theme.noarch: W: dangling-symlink /usr/share/kde4/apps/ksplash/Themes/FedoraJam/2048x1536/icon2_anim.png /usr/share/kde4/apps/ksplash/Themes/SphericalCow/2048x1536/icon2_anim.png
fedora-jam-kde-theme.noarch: W: dangling-relative-symlink /usr/share/kde4/apps/desktoptheme/Fedora_Jam-netbook/stylesheets ../Caledonia/stylesheets
fedora-jam-kde-theme.noarch: W: dangling-symlink /usr/share/kde4/apps/ksplash/Themes/FedoraJam/2048x1536/icon1_anim.png /usr/share/kde4/apps/ksplash/Themes/SphericalCow/2048x1536/icon1_anim.png
fedora-jam-kde-theme.noarch: W: dangling-relative-symlink /usr/share/kde4/apps/desktoptheme/Fedora_Jam/widgets ../Caledonia/widgets
fedora-jam-kde-theme.noarch: W: dangling-symlink /usr/share/kde4/apps/ksplash/Themes/FedoraJam/2048x1536/leaf-big-1.png /usr/share/kde4/apps/ksplash/Themes/SphericalCow/2048x1536/leaf-big-1.png
fedora-jam-kde-theme.noarch: W: dangling-relative-symlink /usr/share/kde4/apps/desktoptheme/Fedora_Jam-netbook/rssnow ../Caledonia/rssnow
fedora-jam-kde-theme.noarch: W: dangling-relative-symlink /usr/share/kde4/apps/desktoptheme/Fedora_Jam/icontasks ../Caledonia/icontasks
fedora-jam-kde-theme.noarch: W: dangling-symlink /usr/share/kde4/apps/ksplash/Themes/FedoraJam/2048x1536/logo.png /usr/share/kde4/apps/ksplash/Themes/SphericalCow/2048x1536/logo.png
fedora-jam-kde-theme.noarch: W: dangling-symlink /usr/share/kde4/apps/ksplash/Themes/FedoraJam/2048x1536/icon5_anim.png /usr/share/kde4/apps/ksplash/Themes/SphericalCow/2048x1536/icon5_anim.png
fedora-jam-kde-theme.noarch: W: dangling-relative-symlink /usr/share/kde4/apps/desktoptheme/Fedora_Jam/rssnow ../Caledonia/rssnow
fedora-jam-kde-theme.noarch: W: dangling-relative-symlink /usr/share/kde4/apps/ksplash/Themes/FedoraJam/1920x1200/Fedora_Jam.png ../../../../../../backgrounds/fedora-jam/default/wide/fedora-jam.png
fedora-jam-kde-theme.noarch: W: dangling-symlink /usr/share/kde4/apps/ksplash/Themes/FedoraJam/2048x1536/leaf-small-2.png /usr/share/kde4/apps/ksplash/Themes/SphericalCow/2048x1536/leaf-small-2.png
fedora-jam-kde-theme.noarch: W: dangling-relative-symlink /usr/share/kde4/apps/desktoptheme/Fedora_Jam-netbook/icontasks ../Caledonia/icontasks
fedora-jam-kde-theme.noarch: W: dangling-symlink /usr/share/kde4/apps/ksplash/Themes/FedoraJam/2048x1536/icon3.png /usr/share/kde4/apps/ksplash/Themes/SphericalCow/2048x1536/icon3.png
fedora-jam-kde-theme.noarch: W: dangling-relative-symlink /usr/share/kde4/apps/desktoptheme/Fedora_Jam-netbook/colors ../Caledonia/colors
fedora-jam-kde-theme.noarch: W: dangling-relative-symlink /usr/share/kde4/apps/desktoptheme/Fedora_Jam/dialogs ../Caledonia/dialogs
fedora-jam-kde-theme.noarch: W: dangling-symlink /usr/share/kde4/apps/ksplash/Themes/FedoraJam/2048x1536/icon4_anim.png /usr/share/kde4/apps/ksplash/Themes/SphericalCow/2048x1536/icon4_anim.png
2 packages and 0 specfiles checked; 0 errors, 40 warnings.




Requires
--------
fedora-jam-kde-theme-1.0.1-1.fc19.noarch.rpm (rpmlib, GLIBC filtered):
    
    caledonia-kde-theme  
    fedora-jam-backgrounds-kde >= 1.0.1
    kde-filesystem  
    kfaenza-icon-theme  
    spherical-cow-kde-theme  
    system-logos  



Provides
--------
fedora-jam-kde-theme-1.0.1-1.fc19.noarch.rpm:
    
    fedora-jam-kde-theme = 1.0.1-1.fc19
    fedora-jam-plasma-desktoptheme = 1.0.1-1.fc19



MD5-sum check
-------------
http://bsjones.fedorapeople.org/projects/fedora-jam-kde-theme/fedora-jam-kde-theme-1.0.1.tar.xz :
  CHECKSUM(SHA256) this package     : e51093f99a6a96e00a35fbe1285cd99554f0959d0f0b6a8c2a0c41a71ae53a13
  CHECKSUM(SHA256) upstream package : e51093f99a6a96e00a35fbe1285cd99554f0959d0f0b6a8c2a0c41a71ae53a13


Generated by fedora-review 0.3.1 (b71abc1) last change: 2012-10-16
Buildroot used: fedora-rawhide-x86_64
Command line :/usr/bin/fedora-review -b 875735 -m fedora-rawhide-x86_64


The second issue is a non-issue, and dangling symlinks sounds like something the doctor would diagnose someone with, and is not really relevant to this package at least ;).

But the first issue I'm a little unsure how to handle. The kfaenza-icon-theme  is in updates-testing, but for some reason mock can't find it in rawhide and I know it should be there. Do you know anything about this issue?
Comment 4 Matthias Runge 2012-11-19 07:28:45 EST
@Jørn,

thank you for the review. 

When using such a tool like fedora-review, you're supposed to fill the fields marked as [ ]:

[ ] = Manual review needed

Fedora reviews output is like the following:

fedora-review is automated tool, but *YOU* are responsible for manually reviewing the results and finishing the review. Do not just copy-paste the results without understanding them.

So Jørn, please take the time and also review the rest of the form. 
Thank you.
Comment 5 Jørn Lomax 2012-11-19 07:54:43 EST
I looked through all of them and most don't apply for a theme and those that do are all ok. I'll make sure to mark them off next time :)

I'm just not sure what do do since a require is in the updates-testing. I tried looking through the fedora wiki or googling what the general rule is in these cases, and I can't find any answers. In my opinion I shouldn't approve it until I know it will install for the end user without any extra configuration.
Comment 6 Matthias Runge 2012-11-19 07:58:45 EST
(In reply to comment #5)
> I looked through all of them and most don't apply for a theme and those that
> do are all ok. I'll make sure to mark them off next time :)

great, thank you. When a topic does no apply, please insert a dash (as in the legend).

> I'm just not sure what do do since a require is in the updates-testing. I
> tried looking through the fedora wiki or googling what the general rule is
> in these cases, and I can't find any answers. In my opinion I shouldn't
> approve it until I know it will install for the end user without any extra
> configuration.
That's not a problem at all; you could also have requirements, which are not packaged yet, and also not reviewed yet.

That's something, the packager has to take care of, and nothing the reviewer can do about this.
Comment 7 Brendan Jones 2012-11-19 09:02:30 EST
Looks like the packager hasn't done a build in rawhide for kfaenza-icon-theme.

I've kicked one off. http://koji.fedoraproject.org/koji/taskinfo?taskID=4703882
Comment 8 Jørn Lomax 2012-11-19 15:53:59 EST
Here the review is again with everything marked off:

Package Review
==============

Key:
[x] = Pass
[!] = Fail
[-] = Not applicable
[?] = Not evaluated
[ ] = Manual review needed


Issues:
=======
[!]: Package installs properly.
     Note: Installation errors (see attachment)
Disregard the above
See: https://fedoraproject.org/wiki/Packaging:Guidelines
[!]: Package installs a %{name}.desktop using desktop-file-install if there is
     such a file.
See: http://fedoraproject.org/wiki/Packaging/Guidelines#desktop


===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[-]: %build honors applicable compiler flags or justifies otherwise.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[-]: Package contains no bundled libraries.
[x]: Changelog in prescribed format.
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Sources contain only permissible code or content.
[x]: Each %files section contains %defattr if rpm < 4.4
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package contains desktop file if it is a GUI application.
[-]: Package installs a %{name}.desktop using desktop-file-install if there is
     such a file.
[-]: Development files must be in a -devel package
[-]: Package requires other packages for directories it uses.
[x]: Package uses nothing in %doc for runtime.
[-]: Package is not known to require ExcludeArch.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package complies to the Packaging Guidelines
[x]: Spec file lacks Packager, Vendor, PreReq tags.
[x]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses found:
     "Unknown or generated". 1 files have unknown license. Detailed output of
     licensecheck in /home/makerpm/rpmbuild/REVIEW/875735-fedora-jam-kde-
     theme/licensecheck.txt
[x]: Package consistently uses macro is (instead of hard-coded directory
     names).
[x]: If the package is under multiple licenses, the licensing breakdown must
     be documented in the spec.
[x]: Package is named using only allowed ASCII characters.
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
     Note: Package contains no Conflicts: tag(s)
[x]: Package do not use a name that already exist
[?]: Package obeys FHS, except libexecdir and /usr/target.
[ ]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: Package installs properly.
     Note: Installation errors (see attachment)
[?]: Package is not relocatable.
[x]: Requires correct, justified where necessary.
[x]: CheckResultdir
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file is legible and written in American English.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[-]: Package contains systemd file(s) if in need.
[x]: File names are valid UTF-8.
[-]: Large documentation must go in a -doc subpackage.
     Note: Documentation size is 51200 bytes in 3 files.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[-]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[x]: Dist tag is present.
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Final provides and requires are sane (rpm -q --provides and rpm -q
     --requires).
[?]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: The placement of pkgconfig(.pc) files are correct.
[x]: SourceX tarball generation or download is documented.
[x]: SourceX / PatchY prefixed with %{name}.
[x]: SourceX is a working URL.
[ ]: Description and summary sections in the package spec file contains
    translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[-]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed files.
[x]: Spec use %global instead of %define.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: Mock build failed
[x]: Spec file according to URL is the same as in SRPM.
[x]: Large data in /usr/share should live in a noarch subpackage if package is
     arched.


Installation errors
-------------------
INFO: mock.py version 1.1.28 starting...
Start: init plugins
INFO: selinux enabled
Finish: init plugins
Start: run
Mock Version: 1.1.28
INFO: Mock Version: 1.1.28
Start: lock buildroot
INFO: installing package(s): /home/makerpm/rpmbuild/REVIEW/875735-fedora-jam-kde-theme/results/fedora-jam-kde-theme-1.0.1-1.fc19.noarch.rpm
ERROR: Command failed: 
 # ['/usr/bin/yum', '--installroot', '/var/lib/mock/fedora-rawhide-x86_64/root/', 'install', '/home/makerpm/rpmbuild/REVIEW/875735-fedora-jam-kde-theme/results/fedora-jam-kde-theme-1.0.1-1.fc19.noarch.rpm', '--setopt=tsflags=nocontexts']
Error: Package: fedora-jam-kde-theme-1.0.1-1.fc19.noarch (/fedora-jam-kde-theme-1.0.1-1.fc19.noarch)
           Requires: kfaenza-icon-theme
 You could try using --skip-broken to work around the problem
 You could try running: rpm -Va --nofiles --nodigest



Rpmlint
-------
Checking: fedora-jam-kde-theme-1.0.1-1.fc19.src.rpm
          fedora-jam-kde-theme-1.0.1-1.fc19.noarch.rpm
fedora-jam-kde-theme.noarch: W: dangling-symlink /usr/share/kde4/apps/ksplash/Themes/FedoraJam/2048x1536/leaf-big-2.png /usr/share/kde4/apps/ksplash/Themes/SphericalCow/2048x1536/leaf-big-2.png
fedora-jam-kde-theme.noarch: W: dangling-relative-symlink /usr/share/kde4/apps/desktoptheme/Fedora_Jam-netbook/icons ../Caledonia/icons
fedora-jam-kde-theme.noarch: W: dangling-symlink /usr/share/kde4/apps/ksplash/Themes/FedoraJam/2048x1536/leaf-small-1.png /usr/share/kde4/apps/ksplash/Themes/SphericalCow/2048x1536/leaf-small-1.png
fedora-jam-kde-theme.noarch: W: dangling-relative-symlink /usr/share/kde4/apps/desktoptheme/Fedora_Jam/lancelot ../Caledonia/lancelot
fedora-jam-kde-theme.noarch: W: dangling-symlink /usr/share/kde4/apps/ksplash/Themes/FedoraJam/2048x1536/icon3_anim.png /usr/share/kde4/apps/ksplash/Themes/SphericalCow/2048x1536/icon3_anim.png
fedora-jam-kde-theme.noarch: W: dangling-symlink /usr/share/kde4/apps/ksplash/Themes/FedoraJam/2048x1536/icon2.png /usr/share/kde4/apps/ksplash/Themes/SphericalCow/2048x1536/icon2.png
fedora-jam-kde-theme.noarch: W: dangling-relative-symlink /usr/share/kde4/apps/desktoptheme/Fedora_Jam/opaque ../Caledonia/opaque
fedora-jam-kde-theme.noarch: W: dangling-relative-symlink /usr/share/kde4/apps/desktoptheme/Fedora_Jam-netbook/dialogs ../Caledonia/dialogs
fedora-jam-kde-theme.noarch: W: dangling-relative-symlink /usr/share/kde4/apps/desktoptheme/Fedora_Jam/wallpapers ../Caledonia/wallpapers
fedora-jam-kde-theme.noarch: W: dangling-relative-symlink /usr/share/kde4/apps/desktoptheme/Fedora_Jam-netbook/wallpapers ../Caledonia/wallpapers
fedora-jam-kde-theme.noarch: W: dangling-symlink /usr/share/kde4/apps/ksplash/Themes/FedoraJam/2048x1536/spherical-cow.png /usr/share/kde4/apps/ksplash/Themes/SphericalCow/2048x1536/spherical-cow.png
fedora-jam-kde-theme.noarch: W: dangling-relative-symlink /usr/share/kde4/apps/desktoptheme/Fedora_Jam/stylesheets ../Caledonia/stylesheets
fedora-jam-kde-theme.noarch: W: dangling-relative-symlink /usr/share/kde4/apps/desktoptheme/Fedora_Jam-netbook/opaque ../Caledonia/opaque
fedora-jam-kde-theme.noarch: W: dangling-symlink /usr/share/kde4/apps/ksplash/Themes/FedoraJam/2048x1536/icon1.png /usr/share/kde4/apps/ksplash/Themes/SphericalCow/2048x1536/icon1.png
fedora-jam-kde-theme.noarch: W: dangling-relative-symlink /usr/share/kde4/apps/desktoptheme/Fedora_Jam-netbook/widgets ../Caledonia/widgets
fedora-jam-kde-theme.noarch: W: dangling-symlink /usr/share/kde4/apps/ksplash/Themes/FedoraJam/2048x1536/icon5.png /usr/share/kde4/apps/ksplash/Themes/SphericalCow/2048x1536/icon5.png
fedora-jam-kde-theme.noarch: W: dangling-relative-symlink /usr/share/kde4/apps/kdm/themes/FedoraJam/*.png ../SphericalCow/*.png
fedora-jam-kde-theme.noarch: W: dangling-relative-symlink /usr/share/kde4/apps/desktoptheme/Fedora_Jam/colors ../Caledonia/colors
fedora-jam-kde-theme.noarch: W: dangling-relative-symlink /usr/share/kde4/apps/desktoptheme/Fedora_Jam/icons ../Caledonia/icons
fedora-jam-kde-theme.noarch: W: dangling-relative-symlink /usr/share/kde4/apps/desktoptheme/Fedora_Jam-netbook/lancelot ../Caledonia/lancelot
fedora-jam-kde-theme.noarch: W: dangling-relative-symlink /usr/share/kde4/apps/ksplash/Themes/FedoraJam/1280x1024/Fedora_Jam.png ../../../../../../backgrounds/fedora-jam/default/normalish/fedora-jam.png
fedora-jam-kde-theme.noarch: W: dangling-symlink /usr/share/kde4/apps/ksplash/Themes/FedoraJam/2048x1536/icon4.png /usr/share/kde4/apps/ksplash/Themes/SphericalCow/2048x1536/icon4.png
fedora-jam-kde-theme.noarch: W: dangling-relative-symlink /usr/share/kde4/apps/ksplash/Themes/FedoraJam/2048x1536/fedora-jam.png ../../../../../../backgrounds/fedora-jam/default/standard/fedora-jam.png
fedora-jam-kde-theme.noarch: W: dangling-symlink /usr/share/kde4/apps/ksplash/Themes/FedoraJam/2048x1536/icon2_anim.png /usr/share/kde4/apps/ksplash/Themes/SphericalCow/2048x1536/icon2_anim.png
fedora-jam-kde-theme.noarch: W: dangling-relative-symlink /usr/share/kde4/apps/desktoptheme/Fedora_Jam-netbook/stylesheets ../Caledonia/stylesheets
fedora-jam-kde-theme.noarch: W: dangling-symlink /usr/share/kde4/apps/ksplash/Themes/FedoraJam/2048x1536/icon1_anim.png /usr/share/kde4/apps/ksplash/Themes/SphericalCow/2048x1536/icon1_anim.png
fedora-jam-kde-theme.noarch: W: dangling-relative-symlink /usr/share/kde4/apps/desktoptheme/Fedora_Jam/widgets ../Caledonia/widgets
fedora-jam-kde-theme.noarch: W: dangling-symlink /usr/share/kde4/apps/ksplash/Themes/FedoraJam/2048x1536/leaf-big-1.png /usr/share/kde4/apps/ksplash/Themes/SphericalCow/2048x1536/leaf-big-1.png
fedora-jam-kde-theme.noarch: W: dangling-relative-symlink /usr/share/kde4/apps/desktoptheme/Fedora_Jam-netbook/rssnow ../Caledonia/rssnow
fedora-jam-kde-theme.noarch: W: dangling-relative-symlink /usr/share/kde4/apps/desktoptheme/Fedora_Jam/icontasks ../Caledonia/icontasks
fedora-jam-kde-theme.noarch: W: dangling-symlink /usr/share/kde4/apps/ksplash/Themes/FedoraJam/2048x1536/logo.png /usr/share/kde4/apps/ksplash/Themes/SphericalCow/2048x1536/logo.png
fedora-jam-kde-theme.noarch: W: dangling-symlink /usr/share/kde4/apps/ksplash/Themes/FedoraJam/2048x1536/icon5_anim.png /usr/share/kde4/apps/ksplash/Themes/SphericalCow/2048x1536/icon5_anim.png
fedora-jam-kde-theme.noarch: W: dangling-relative-symlink /usr/share/kde4/apps/desktoptheme/Fedora_Jam/rssnow ../Caledonia/rssnow
fedora-jam-kde-theme.noarch: W: dangling-relative-symlink /usr/share/kde4/apps/ksplash/Themes/FedoraJam/1920x1200/Fedora_Jam.png ../../../../../../backgrounds/fedora-jam/default/wide/fedora-jam.png
fedora-jam-kde-theme.noarch: W: dangling-symlink /usr/share/kde4/apps/ksplash/Themes/FedoraJam/2048x1536/leaf-small-2.png /usr/share/kde4/apps/ksplash/Themes/SphericalCow/2048x1536/leaf-small-2.png
fedora-jam-kde-theme.noarch: W: dangling-relative-symlink /usr/share/kde4/apps/desktoptheme/Fedora_Jam-netbook/icontasks ../Caledonia/icontasks
fedora-jam-kde-theme.noarch: W: dangling-symlink /usr/share/kde4/apps/ksplash/Themes/FedoraJam/2048x1536/icon3.png /usr/share/kde4/apps/ksplash/Themes/SphericalCow/2048x1536/icon3.png
fedora-jam-kde-theme.noarch: W: dangling-relative-symlink /usr/share/kde4/apps/desktoptheme/Fedora_Jam-netbook/colors ../Caledonia/colors
fedora-jam-kde-theme.noarch: W: dangling-relative-symlink /usr/share/kde4/apps/desktoptheme/Fedora_Jam/dialogs ../Caledonia/dialogs
fedora-jam-kde-theme.noarch: W: dangling-symlink /usr/share/kde4/apps/ksplash/Themes/FedoraJam/2048x1536/icon4_anim.png /usr/share/kde4/apps/ksplash/Themes/SphericalCow/2048x1536/icon4_anim.png
2 packages and 0 specfiles checked; 0 errors, 40 warnings.




Requires
--------
fedora-jam-kde-theme-1.0.1-1.fc19.noarch.rpm (rpmlib, GLIBC filtered):
    
    caledonia-kde-theme  
    fedora-jam-backgrounds-kde >= 1.0.1
    kde-filesystem  
    kfaenza-icon-theme  
    spherical-cow-kde-theme  
    system-logos  



Provides
--------
fedora-jam-kde-theme-1.0.1-1.fc19.noarch.rpm:
    
    fedora-jam-kde-theme = 1.0.1-1.fc19
    fedora-jam-plasma-desktoptheme = 1.0.1-1.fc19



MD5-sum check
-------------
http://bsjones.fedorapeople.org/projects/fedora-jam-kde-theme/fedora-jam-kde-theme-1.0.1.tar.xz :
  CHECKSUM(SHA256) this package     : e51093f99a6a96e00a35fbe1285cd99554f0959d0f0b6a8c2a0c41a71ae53a13
  CHECKSUM(SHA256) upstream package : e51093f99a6a96e00a35fbe1285cd99554f0959d0f0b6a8c2a0c41a71ae53a13


Generated by fedora-review 0.3.1 (b71abc1) last change: 2012-10-16
Buildroot used: fedora-rawhide-x86_64
Command line :/usr/bin/fedora-review -b 875735 -m fedora-rawhide-x86_64

The installation issue is still there, but I know it installs on f18--.


PACKAGE APPROVED
Comment 9 Brendan Jones 2012-11-20 00:50:13 EST
Yhanks for the review!

New Package SCM Request
=======================
Package Name: fedora-jam-kde-theme
Short Description: Fedora Jam KDE theme
Owners: bsjones
Branches:f17 f18
InitialCC:
Comment 10 Jon Ciesla 2012-11-20 07:02:32 EST
Git done (by process-git-requests).
Comment 11 Fedora Update System 2012-11-20 09:15:07 EST
fedora-jam-kde-theme-1.0.1-1.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/fedora-jam-kde-theme-1.0.1-1.fc18
Comment 12 Fedora Update System 2012-11-20 15:21:51 EST
fedora-jam-kde-theme-1.0.1-1.fc18 has been pushed to the Fedora 18 testing repository.
Comment 13 Fedora Update System 2012-11-26 23:49:37 EST
fedora-jam-kde-theme-1.0.1-1.fc18 has been pushed to the Fedora 18 stable repository.

Note You need to log in before you can comment on or make changes to this bug.